# -*- coding: utf-8 -*-
from setuphelpers import *

# Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls

apt_dir = makepath('/etc','apt','apt.conf.d')
files_conf = ['20auto-upgrades','50unattended-upgrades']


def install():
    print("Installing: %s" % control.package)

    install_apt('unattended-upgrades')

    for file in files_conf:
        print('Copy %s' % file)
        filecopyto(makepath('files',file),apt_dir)


def uninstall():
    print("Uninstalling: %s" % control.package)

    uninstall_apt('unattended-upgrades')

    for file in files_conf:
        remove_file(makepath(apt_dir,file))        